def hasChangesIn(path) {
    try {
        sh "git diff --quiet --exit-code HEAD~1..HEAD ${path}"
        echo "Skipping stage, no files changed in directory $path"

        return false
    } catch (err) {
        return true
    }
}

pipeline{
    agent any


    stages{

        stage('checkout'){
            steps{
                checkout scm
            }
        }

        stage('test'){
            when { expression { return hasChangesIn('helm/**/*') } }
            steps{
                echo "The file did change in the last commit (SCM checking)"
            }
        }
    }
}
